package cn.estsh.i3plus.pojo.base.enumutil;

import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * @Description :
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2018-10-23 15:53
 * @Modify:
 **/
public class MesEnumUtil {
    /**
     * MesMethod实体对应的methodType值
     * 10.
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum METHOD_TYPE{

        EXEC(10,"执行方法"),
        COMPLETE(20,"完成方法");

        private int value;
        private String description;

        METHOD_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }

    /**
     * MesPlanOrder实体对应的status值   计划状态
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum PALN_ORDER_STATUS{

        CREATE(10,"创建"),
        DE_COMPOSE_ING(20,"分解中"),
        DE_COMPOSE_ED(30,"分解完成"),
        CLOSE(40,"关闭");

        private int value;
        private String description;

        PALN_ORDER_STATUS(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }

    /**
     * MesWorkOrder实体对应的workOrderStatus值  工单状态
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum WORK_ORDER_STATUS{

        CREATE(10,"创建"),
        LANDED(20,"下达"),
        OPEN(30,"开启"),
        PAUSE(40,"暂停"),
        CANCEL(50,"撤销"),
        CLOSE(60,"关闭");

        private int value;
        private String description;

        WORK_ORDER_STATUS(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }

    /**
     * MesWorkOrder实体对应的workOrderType值  工单类型
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum WORK_ORDER_TYPE{

        STANDARD_ORDER(10,"标准工单"),
        BTS_ORDER(20,"BTS工单"),
        ATTEMPT_ORDER(30,"试制工单");

        private int value;
        private String description;

        WORK_ORDER_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }
}
